Skip to contentSkip to navigationSkip to topbar
Page toolsOn this page
Looking for more inspiration?Visit the

90035: Broadcast 'MessageStatusCallbackUrl' is too long


ERROR: 90035

error-90035 page anchor
ERROR

This error occurs when your broadcast request includes a MessageStatusCallbackUrl value that exceeds the length Twilio accepts. Twilio uses status callback URLs to send outbound message status updates to your webhook endpoint, and invalid request data is rejected during request validation.

Possible causes

possible-causes page anchor
  • The MessageStatusCallbackUrl value is longer than Twilio accepts for a broadcast request.
  • The callback URL includes unnecessary query parameters, fragments, or other appended data that increase its total length. Twilio webhook URLs follow standard URL syntax, and optional connection override fragments also add characters to the URL.
  • Your application generates a different callback URL for each request instead of reusing a shorter endpoint. This is a likely cause when request-specific state is being added directly to the URL.
  • Shorten the value you send in MessageStatusCallbackUrl.
  • Remove unnecessary query parameters, path segments, and webhook connection override fragments from the callback URL. Only include override settings when you need them.
  • Use a shorter reusable webhook endpoint for message status events, then correlate each event in your application by using the identifiers Twilio provides for message tracking such as operationId and messageId.
  • After shortening the URL, make sure it still uses a valid http or https URL format and a valid hostname before you retry the request.

Additional resources

additional-resources page anchor